import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:youban_audio/youban_audio.dart';

void main() {
  const MethodChannel channel = MethodChannel('youban_audio');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await YoubanAudio.platformVersion, '42');
  });
}
